﻿using System;
using System.Collections.Generic;
using System.Web;

/// <summary>
/// Summary description for Child
/// </summary>
public class Child
{
    private static int _childCnt = 0;
    private int _parentID;
    private int _id;
    private string _name;

    public int ParentID
    {
        set { _parentID = value; }
        get { return _parentID; }
    }
    public int ID
    {
        get { return _id; }
        set { _id = value; }
    }

    public string Name
    {
        get { return _name; }
        set { _name = value; }
    }
    public Child(int parent)
    {
        ParentID = parent;
        ID = _childCnt;
        _childCnt++;
        Name = "Unknown Child";

    }
    public Child(int parent, string name)
    {
        ParentID = parent;
        ID = _childCnt;
        _childCnt++;
        Name = name;

    }
}

