﻿using System;
using System.Collections.Generic;
using System.Web;

/// <summary>
/// Summary description for Parents
/// </summary>
public class Parents
{
    private static int _idCntr = 0;
    private int _id;
    private string _name;
    private List<Child> _children;

    public int ID
    {
        get { return _id; }
        set { _id = value; }
    }
    public string Name
    {
        get { return _name; }
        set { _name = value; }
    }
    public List<Child> Children
    {
        get { return _children; }
    }

    public Parents()
    {
        ID = _idCntr;
        Name = "Unknown";
        _idCntr++;
        _children = new List<Child>();
    }
    public Parents(string name)
    {
        ID = _idCntr;
        Name = name;
        _idCntr++;
        _children = new List<Child>();
    }


    public void AddChild(string name)
    {
        Child child = new Child(_id, name);
        _children.Add(child);

    }
}