﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
    private List<Parents> _lp;
    public List<Parents> DataSource
    {
        get
        {
            _lp = Session["DataSource"] as List<Parents>;
            if (_lp == null)
            {
                _lp = GetData();
                Session["DataSource"] = _lp;
            }
            return _lp;

        }
        set
        {
            _lp = value;
            Session["DataSource"] = _lp;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    private List<Parents> GetData()
    {
        List<Parents> lp = new List<Parents>();

        Parents p;
        for (int i = 0; i < 10; i++)
        {
            p = new Parents("Parent" + i.ToString());
            for (int j = 0; j < 5; j++)
            {
                p.AddChild("Child" + j.ToString());
            }
            lp.Add(p);
        }
        return lp;
    }

    protected void UltraWebGrid1_InitializeDataSource(object sender, Infragistics.WebUI.UltraWebGrid.UltraGridEventArgs e)
    {
        UltraWebGrid1.DataSource = DataSource;
    }
}
